Issue : bi_auto_invoice (#249)
Status: OPEN
Date: 23/04/2021
ID: 249
S/O number: SO2021/1387120
Reviewer: Hiral Bhatt
Module Name: bi_auto_invoice
Version: 14.0
Tags:

Assigned to
Contact
Hanee Patel
hanee.patel@browseinfo.in
Reported by
Contact
Dr. Öner Güngöz - Capidema.
guengoez@capidema.com

Description
Error:
Odoo Server Error

Traceback (most recent call last):
File "/odoo/odoo-server/odoo/addons/base/models/ir_http.py", line 237, in _dispatch
result = request.dispatch()
File "/odoo/odoo-server/odoo/http.py", line 683, in dispatch
result = self._call_function(**self.params)
File "/odoo/odoo-server/odoo/http.py", line 359, in _call_function
return checked_call(self.db, *args, **kwargs)
File "/odoo/odoo-server/odoo/service/model.py", line 94, in wrapper
return f(dbname, *args, **kwargs)
File "/odoo/odoo-server/odoo/http.py", line 347, in checked_call
result = self.endpoint(*a, **kw)
File "/odoo/odoo-server/odoo/http.py", line 912, in __call__
return self.method(*args, **kw)
File "/odoo/odoo-server/odoo/http.py", line 531, in response_wrap
response = f(*args, **kw)
File "/odoo/odoo-server/addons/web/controllers/main.py", line 1381, in call_button
action = self._call_kw(model, method, args, kwargs)
File "/odoo/odoo-server/addons/web/controllers/main.py", line 1369, in _call_kw
return call_kw(request.env[model], method, args, kwargs)
File "/odoo/odoo-server/odoo/api.py", line 396, in call_kw
result = _call_kw_multi(method, model, args, kwargs)
File "/odoo/odoo-server/odoo/api.py", line 383, in _call_kw_multi
result = method(recs, *args, **kwargs)
File "/odoo/odoo-server/addons/stock/models/stock_picking.py", line 942, in button_validate
pickings_to_backorder.with_context(cancel_backorder=False)._action_done()
File "/odoo/odoo-server/odoo/addons/bi_auto_invoice/models/inherited_stock_picking.py", line 194, in _action_done
account = account.split(",")[1]
Exception

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File "/odoo/odoo-server/odoo/http.py", line 639, in _handle_exception
return super(JsonRequest, self)._handle_exception(exception)
File "/odoo/odoo-server/odoo/http.py", line 315, in _handle_exception
raise exception.with_traceback(None) from new_cause
AttributeError: 'bool' object has no attribute 'split'

Message and communication history